Subject: RE: Urgent: draft-ietf-rap-frameworkpib-08.txt - additional last call

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 4 Jun 2002 18:12:27 +0300

Hi Andy,
> 
> 1. A mask on VLANID: this would be appropriate if there were 
> some sort of
> internal structure to the numbers but there is none. A range might be
> useful. (A mask is appropriate for MAC addresses since there 
> is a well-known
> internal structure to these although a range is probably less so).

I agree that range is better than mask. However, I am aware that it might be more difficult to implement. I have actually seen proprietary implementations that do use masks, and if they were available customers may do design VLAN structures to accommodate them. Having nothing in place but individual VLANIDs seems restrictive.

> 2. I don't see any reason to favour BITS or INTEGER for 
> user_priority -
> maybe BITS since there is some (approximate) substructure in 
> the number
> space to handle switches implementing fewer than 8 traffic 
> classes (see
> 802.1p mapping tables).

As I said, this was not a strong objection.

> 3. Length filter - I guess that might be useful but it's not 
> a L2-specific
> thing is it?

Depends 'what Ethernet'. General case it may not be a layer 2 specific issue, that's why I was asking if I need to look some place else. I guess the answer is that there is no such place, and you seem to agree this may be a miss.
  
> 4. Stripping of VLAN tags is a job for VLAN PIBs, not 
> QoS/marking PIBs -
> it's a packet format thing, not a QoS thing. There's only one 
> special case,
> that of priority-tagged frames that do not indicate a VLANID 
> (i.e. 000) but,
> even there, the 802.1Q standard does not specify any mode 
> where a bridge
> should strip the tag just for this special case (you have to 
> configure, on a
> per-VLAN basis, whether a port should forward tagged or 
> untagged). You could
> argue that some implementations allow you to do this but it's 
> not specified
> anywhere in a standard.

I was thinking exactly on the context of a hybrid port (interface) - if the filter includes a VLANID, you can configure exactly this type of policy through the marker without the need to configure individually on each port per-VLAN basis.
 
> 
> Hope these comments help (I missed your comments first time around).
> 
> Andrew

Thanks,

Dan

> 
> -----Original Message-----
> From: [email-masked] 
>